Subject: bug#32686: closed (Re: bug#32686: guix pack relocatable guix)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Sep 2018 22:17:02 +0000

Your bug report

#32686: guix pack relocatable guix

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32686: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32686
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32686: guix pack relocatable guix
From: [email-masked] (Ludovic Courtès)
To: Oleg Pykhalov <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Sep 2018 00:16:13 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> I want to use Guile modules produced by ‘guix pack --relocatable guix’,
> but I get the following error:

[...]

> Backtrace:
>            3 (primitive-load "/gnu/store/rdapiwpqxx2hkdd58zbjjs7x1i9…")
> In guix/build/profiles.scm:
>     152:2  2 (build-profile "/gnu/store/q41imwhq2mfyqa00mk0zikixvz1…" …)
> In ice-9/boot-9.scm:
>     256:9  1 (for-each _ _)
> In unknown file:
>            0 (scm-error wrong-type-arg "for-each" "Not a list: ~S" # #)
>
> ERROR: In procedure scm-error:
> In procedure for-each: Not a list: #f
> builder for `/gnu/store/c30b858ygkrmncq7cr6g0mvzawpqqz1n-profile.drv' failed with exit code 1

Should be fixed by commit 2225d56a14a2d8d29374a14eefe90b3cffa79804.

Thanks,
Ludo’.

Subject: guix pack relocatable guix
From: Oleg Pykhalov <[email-masked]>
To: [email-masked]
Date: Mon, 10 Sep 2018 18:43:22 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Guix.

I want to use Guile modules produced by ‘guix pack --relocatable guix’,
but I get the following error:
--8<---------------cut here---------------start------------->8---
$ guix --version
guix (GNU Guix) 0084744b3af0a6f8e125120143f57567902339a8
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

$ guix pack --relocatable guix
substitute: updating substitutes from 'https://berlin.guixsd.org'... 100.0%
substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
substitute: updating substitutes from 'https://hydra.gnu.org'... 100.0%
The following derivations will be built:
   /gnu/store/wrfjh9gvm0z5y76vhzb9hn1bqdiwn0sk-tarball-pack.tar.gz.drv
   /gnu/store/yb4hwv87w4i01pzr74wbvqb6klccsssi-fonts-dir.drv
   /gnu/store/s8rs9hixn0jxnrr7v46w2mv9w2pc07ic-ca-certificate-bundle.drv
   /gnu/store/gxhcfc62272dm0lz6c7jd117ivv3w8fc-c-compiler.drv
   /gnu/store/1j9grdpklbvyrr0xnwhhhknpqfqzi560-info-dir.drv
   /gnu/store/h95jmxb3q432iq0hgbcjfrlpi43zj3x7-guix-0.15.0-3.3d43017R.drv
   /gnu/store/nhf5sls0n5z6345arwcwfglcfhdf7wk8-manual-database.drv
   /gnu/store/c30b858ygkrmncq7cr6g0mvzawpqqz1n-profile.drv
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/bin/.guix-real'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/bin/guix'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/bin/guix-daemon'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/libexec/guix-authenticate'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/libexec/guix/download'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/libexec/guix/list-runtime-roots'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/libexec/guix/offload'...
building wrapper for '/gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/libexec/guix/substitute'...
find-files: /gnu/store/hnhxp9ivapm429n9sb0c70llgsgqqns4-guix-0.15.0-3.3d43017/sbin: No such file or directory
Creating manual page database...
90 entries processed in 0.0 s
Backtrace:
           3 (primitive-load "/gnu/store/rdapiwpqxx2hkdd58zbjjs7x1i9…")
In guix/build/profiles.scm:
    152:2  2 (build-profile "/gnu/store/q41imwhq2mfyqa00mk0zikixvz1…" …)
In ice-9/boot-9.scm:
    256:9  1 (for-each _ _)
In unknown file:
           0 (scm-error wrong-type-arg "for-each" "Not a list: ~S" # #)

ERROR: In procedure scm-error:
In procedure for-each: Not a list: #f
builder for `/gnu/store/c30b858ygkrmncq7cr6g0mvzawpqqz1n-profile.drv' failed with exit code 1
cannot build derivation `/gnu/store/wrfjh9gvm0z5y76vhzb9hn1bqdiwn0sk-tarball-pack.tar.gz.drv': 1 dependencies couldn't be built
guix pack: error: build failed: build of `/gnu/store/wrfjh9gvm0z5y76vhzb9hn1bqdiwn0sk-tarball-pack.tar.gz.drv' failed
--8<---------------cut here---------------end--------------->8---

Regards,
Oleg.